=== debian/changelog ===
kde-runtime (4:16.08.3-2) unstable; urgency=medium

  * Add new patch: Make-sure-people-are-not-trying-to-sneak-invisible-charac.patch.
    Thanks to Moritz Mühlenhoff for the follow ups to the kde-cli-tools' bug
    (Closes: 842498) See: CVE-2016-7787

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Tue, 21 Mar 2017 11:25:21 +0100

kde-runtime (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 21:07:35 +0100

kde-runtime (4:16.08.2-1) unstable; urgency=medium

  * New upstream release (16.08.2)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 23:56:09 +0200

kde-runtime (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop oxygen5-icon-theme primary alternative for oxygen-icon-theme, leaving
    only the latter (which is the canonical package).
  * Update lintian overrides.
  * Limit the udisks2 recommend in kde-runtime as linux-any, as udisks2 is
    Linux-specific.
  * Update the patches:
    - kubuntu_drkonqi_whoopsie_integration.patch: drop, KUbuntu-specific
      (whoopsie is not even available in Debian)
    - kubuntu_disable-gpg-backend.diff: drop, as it was not applied anymore
      since 4:16.04.2-2
  * Stop installing the webp mime type definition, since shared-mime-info
    provides it already.

 -- Pino Toscano <pino@debian.org>  Sun, 21 Aug 2016 10:16:51 +0200

kde-runtime (4:16.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove the unused libqzeitgeist-dev build dependency.
  * Update the patches:
    - upstream_set-cmake_min_req-to-match-kdelibs-policy-and-enable.patch:
      drop, backported
    - upstream_cmake-fix-add_definitions-according-to-new-policy.patch: drop,
      backported
  * Stop shipping the custom /etc/sysctl.d/30-baloo-inotify-limit.conf: this
    is the wrong place for it, and maybe no more needed.
  * Fix arch-dep Hurd build: dnyamically create kde-runtime.install.hurd from
    kde-runtime.install, removing the samba bits.

 -- Pino Toscano <pino@debian.org>  Sun, 31 Jul 2016 20:26:03 +0200

kde-runtime (4:16.04.2-2) unstable; urgency=medium

  * Prefer oxygen5-icon-theme
  * Refresh patches
  * Reenable gpg backend

 -- Maximiliano Curia <maxy@debian.org>  Mon, 04 Jul 2016 15:08:04 +0200

kde-runtime (4:16.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Disable the build of khelpcenter, as it is not used from this source.
    - remove leftover bits from kde-runtime.install
    - stop use the ${perl:Depends} substvar in kde-runtime
  * Wrap too long changelog lines in older entries.
  * Remove unused and outdated installgen file.
  * Restore headers for patches.
  * Drop patch khelp_htdig.diff, no more needed now that khelpcenter is not
    built.
  * Clean not-installed file.
  * Backport upstream commits 5a1d89e006ca69c6bf5351a796f7da57a6f96582 and
    823d2fbd9cbc146e007510a41b4820fb8b9e81b8 to set the cmake minimum version
    required and policies, and build properly with that; patches
    upstream_set-cmake_min_req-to-match-kdelibs-policy-and-enable.patch and
    upstream_cmake-fix-add_definitions-according-to-new-policy.patch.
  * Fix build on Hurd, by providing a fallback definition of PATH_MAX in
    kio_nfs; patch hurd.diff.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jun 2016 12:20:25 +0200

kde-runtime (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Missing line in diff file
  * Refresh patches

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer"
    replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Drop openslp from the build deps
  * Update testsuite scripts
  * testsuite: Add a basic XDG environment, use kdeinit4
  * testsuite: add missing openbox

 -- Maximiliano Curia <maxy@debian.org>  Fri, 13 May 2016 22:31:07 +0200
