=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBUILD_khelpcenter=FALSE

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_makeshlibs:
	$(overridden_command) -Xusr/lib/attica_kde.so

override_dh_shlibdeps:
	$(overridden_command) -pplasma-scriptengine-javascript -- \
		-xkdebase-runtime -xkde-runtime
	$(overridden_command) -pkde-runtime -- -xkdebase-runtime
	$(overridden_command) --remaining-packages

override_dh_fixperms:
	$(overridden_command) -Xusr/lib/kde4/libexec/kdesud

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-runtime-dbg (<= 4:15.12.1-1~~)'

override_dh_install: debian/kde-runtime.install.hurd
	$(overridden_command) --list-missing

override_dh_clean:
	$(overridden_command)
	rm -f debian/kde-runtime.install.hurd

# Because of bug #190367 hurd doesn't support samba
debian/kde-runtime.install.hurd: debian/kde-runtime.install
	grep -v smb $< > $@
