## kde-runtime 16.12.3

=== debian/changelog ===
kde-runtime (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:31:11 +0000

kde-runtime (4:16.12.1-0ubuntu2) zesty; urgency=medium

  * Drop 'XS-Testsuite: autopkgtest' field from control file now that merge
    with debian packaging has dropped the testsuite itself.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 21 Jan 2017 15:46:40 +0000

kde-runtime (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ Clive Johnston ]
  * Fixing install files

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:20:11 +0000

kde-runtime (4:16.04.3-0ubuntu3) UNRELEASED; urgency=medium

  * Update Vcs-Git fields to use https:// instead of git://

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Oct 2016 17:17:00 +0200
