=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.9.95~),
+               kdelibs5-dev (>= 4:4.14.30~),
                kdepimlibs5-dev,
-               kdoctools (>= 4:4.11),
+               kdoctools (>= 4:4.14.30~),
                libasound2-dev (>= 1.0.14a) [linux-any],
                libattica-dev (>= 0.1.4),
                libboost-dev,
@@ -44,12 +44,14 @@
                shared-mime-info
 Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kde-runtime.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kde-runtime.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-runtime
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-runtime
 
 Package: kde-runtime
 Architecture: any
-Depends: kde-runtime-data (>= ${source:Version}),
+Depends: breeze-icon-theme,
+         kde-runtime-data (>= ${source:Version}),
+         kde-style-breeze-qt4,
          kdelibs5-plugins,
          oxygen-icon-theme,
          plasma-scriptengine-javascript (= ${binary:Version}),
