=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.30~),
+               kdelibs5-dev (>= 4:4.14.34~),
                kdepimlibs5-dev,
-               kdoctools (>= 4:4.14.30~),
+               kdoctools (>= 4:4.14.34~),
                libasound2-dev (>= 1.0.14a) [linux-any],
                libattica-dev (>= 0.1.4),
                libboost-dev,
