=== solid-networkstatus/CMakeLists.txt ===
add_subdirectory(kded)
add_subdirectory(tests)
