=== debian/changelog ===
kde-runtime (4:17.08.3-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * Merge with debian
  * Fixing install files

  [ Rik Mills ]
  * Package priority 'extra' is depreciated in favour of 'optional'
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:04:10 +0000
