=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	$(overridden_command) --dbgsym-migration='kde-runtime-dbg (<= 4:15.12.1-1~~)'
 
 override_dh_install: debian/kde-runtime.install.hurd
-	$(overridden_command) --list-missing
+#	$(overridden_command) --list-missing
 
 override_dh_clean:
 	$(overridden_command)
